insta_stories = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1080, 1920, 72, "Instagram Stories 1080x1920")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

insta_photo_video_1_1 = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1080, 1080, 72, "Instagram Photo and Video 1080x1080")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

insta_photo_video_4_5 = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1080, 1350, 72, "Instagram Photo and Video 1080x1350")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

insta_photo_video_1_91_1 = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1080, 608, 72, "Instagram Photo and Video 1080x608")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

fb_link_preview = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1200, 620, 72, "Facebook Link/Photo Post 1200x620")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

fb_carousel = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(300, 300, 72, "Carousel Images 300x300")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

fb_cover_photo = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(851, 315, 72, "Facebook Cover Photo 851x315")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};

fb_group_cover_photo = function () {

    cTID = function (s) {
        return app.charIDToTypeID(s);
    };
    sTID = function (s) {
        return app.stringIDToTypeID(s);
    };

    function step0(enabled, withDialog) {

        var originalUnit = preferences.rulerUnits
        preferences.rulerUnits = Units.PIXELS;
        // Create a new 2x4 inch document and assign it to a variable 
        var docRef = app.documents.add(1640, 859, 72, "Facebook Group Cover Photo 1640x859")
        // Create a new art layer containing text 
        var artLayerRef = docRef.artLayers.add();
        artLayerRef.kind = LayerKind.TEXT
        // Set the contents of the text layer. 
        var textItemRef = artLayerRef.textItem;
        textItemRef.contents = "Hello, World";
        // Release references 
        docRef = null;
        artLayerRef = null;
        textItemRef = null;

    }

    // Create Video Timeline
    function step1(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step2(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };

    // Delete Video Timeline
    function step3(enabled, withDialog) {
        if (enabled != undefined && !enabled)
            return;
        var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
        executeAction(sTID('deleteTimeline'), undefined, dialogMode);
    };

    // Create Video Timeline
    function step4(enabled, withDialog) {
        var idmakeTimeline = stringIDToTypeID("makeTimeline");
        executeAction(idmakeTimeline, undefined, DialogModes.NO);
    };

    // Set
    function step5(enabled, withDialog) {
        var idsetd = charIDToTypeID("setd");
        var desc88 = new ActionDescriptor();
        var idnull = charIDToTypeID("null");
        var ref20 = new ActionReference();
        var idPrpr = charIDToTypeID("Prpr");
        var iddocumentTimelineSettings = stringIDToTypeID("documentTimelineSettings");
        ref20.putProperty(idPrpr, iddocumentTimelineSettings);
        var idtimeline = stringIDToTypeID("timeline");
        ref20.putClass(idtimeline);
        desc88.putReference(idnull, ref20);
        var idframeRate = stringIDToTypeID("frameRate");
        desc88.putDouble(idframeRate, 30.000000);
        executeAction(idsetd, desc88, DialogModes.NO);
    };


    step0();
    step1(); // Create Video Timeline
    step2(); // Set
    step3(); // Delete Video Timeline
    step4(); // Create Video Timeline
    step5();

};